unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
* [PATCH] cli: change "setup" to "set up" where used as a verb
@ 2015-05-27 17:53 J. Lewis Muir
  2015-05-31 17:17 ` David Bremner
  0 siblings, 1 reply; 2+ messages in thread
From: J. Lewis Muir @ 2015-05-27 17:53 UTC (permalink / raw)
  To: notmuch

The word "setup" is a noun, not a verb.  Change occurrences of "setup"
where used as a verb to "set up".

---

The only user-visible change is to the short description of the setup
command in the "notmuch help" output.  The rest of the changes are just
to source code comments or test case status messages.
---
 NEWS                              | 2 +-
 lib/database.cc                   | 2 +-
 notmuch-insert.c                  | 2 +-
 notmuch-new.c                     | 4 ++--
 notmuch-tag.c                     | 2 +-
 notmuch.c                         | 2 +-
 performance-test/perf-test-lib.sh | 2 +-
 test/test-lib.sh                  | 2 +-
 8 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/NEWS b/NEWS
index eeaf0d4..393411a 100644
--- a/NEWS
+++ b/NEWS
@@ -2756,7 +2756,7 @@ New 'G' key binding to trigger mail refresh (G == "Get new mail")
 
   The 'G' key works wherever '=' works. Before refreshing the screen
   it calls an external program that can be used to poll email servers,
-  run notmuch new and setup specific tags for the new emails. The
+  run notmuch new and set up specific tags for the new emails. The
   script to be called should be configured with the "Notmuch Poll
   Script" setting in the customize interface. This script will
   typically invoke "notmuch new" and then perhaps several "notmuch
diff --git a/lib/database.cc b/lib/database.cc
index cffab62..78a24f7 100644
--- a/lib/database.cc
+++ b/lib/database.cc
@@ -1336,7 +1336,7 @@ notmuch_database_upgrade (notmuch_database_t *notmuch,
 	return NOTMUCH_STATUS_SUCCESS;
 
     if (progress_notify) {
-	/* Setup our handler for SIGALRM */
+	/* Set up our handler for SIGALRM */
 	memset (&action, 0, sizeof (struct sigaction));
 	action.sa_handler = handle_sigalrm;
 	sigemptyset (&action.sa_mask);
diff --git a/notmuch-insert.c b/notmuch-insert.c
index 90fe3ba..41a1144 100644
--- a/notmuch-insert.c
+++ b/notmuch-insert.c
@@ -521,7 +521,7 @@ notmuch_insert_command (notmuch_config_t *config, int argc, char *argv[])
 	    return EXIT_FAILURE;
     }
 
-    /* Setup our handler for SIGINT. We do not set SA_RESTART so that copying
+    /* Set up our handler for SIGINT. We do not set SA_RESTART so that copying
      * from standard input may be interrupted. */
     memset (&action, 0, sizeof (struct sigaction));
     action.sa_handler = handle_sigint;
diff --git a/notmuch-new.c b/notmuch-new.c
index e6c283e..5ac7eed 100644
--- a/notmuch-new.c
+++ b/notmuch-new.c
@@ -662,7 +662,7 @@ setup_progress_printing_timer (void)
     struct sigaction action;
     struct itimerval timerval;
 
-    /* Setup our handler for SIGALRM */
+    /* Set up our handler for SIGALRM */
     memset (&action, 0, sizeof (struct sigaction));
     action.sa_handler = handle_sigalrm;
     sigemptyset (&action.sa_mask);
@@ -1047,7 +1047,7 @@ notmuch_new_command (notmuch_config_t *config, int argc, char *argv[])
     if (notmuch == NULL)
 	return EXIT_FAILURE;
 
-    /* Setup our handler for SIGINT. We do this after having
+    /* Set up our handler for SIGINT. We do this after having
      * potentially done a database upgrade we this interrupt handler
      * won't support. */
     memset (&action, 0, sizeof (struct sigaction));
diff --git a/notmuch-tag.c b/notmuch-tag.c
index 5b2f1e4..2c6e442 100644
--- a/notmuch-tag.c
+++ b/notmuch-tag.c
@@ -195,7 +195,7 @@ notmuch_tag_command (notmuch_config_t *config, int argc, char *argv[])
     int opt_index;
     int ret;
 
-    /* Setup our handler for SIGINT */
+    /* Set up our handler for SIGINT */
     memset (&action, 0, sizeof (struct sigaction));
     action.sa_handler = handle_sigint;
     sigemptyset (&action.sa_mask);
diff --git a/notmuch.c b/notmuch.c
index a5b2877..e5c2aeb 100644
--- a/notmuch.c
+++ b/notmuch.c
@@ -47,7 +47,7 @@ static command_t commands[] = {
     { NULL, notmuch_command, TRUE,
       "Notmuch main command." },
     { "setup", notmuch_setup_command, TRUE,
-      "Interactively setup notmuch for first use." },
+      "Interactively set up notmuch for first use." },
     { "new", notmuch_new_command, FALSE,
       "Find and import new messages to the notmuch database." },
     { "insert", notmuch_insert_command, FALSE,
diff --git a/performance-test/perf-test-lib.sh b/performance-test/perf-test-lib.sh
index 75e3d87..88601fc 100644
--- a/performance-test/perf-test-lib.sh
+++ b/performance-test/perf-test-lib.sh
@@ -203,7 +203,7 @@ time_done ()
     fi
 }
 
-cd -P "$test" || error "Cannot setup test environment"
+cd -P "$test" || error "Cannot set up test environment"
 test_failure=0
 test_count=0
 
diff --git a/test/test-lib.sh b/test/test-lib.sh
index 486d1c4..23085e7 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -1231,7 +1231,7 @@ emacs_generate_script
 
 # Use -P to resolve symlinks in our working directory so that the cwd
 # in subprocesses like git equals our $PWD (for pathname comparisons).
-cd -P "$test" || error "Cannot setup test environment"
+cd -P "$test" || error "Cannot set up test environment"
 
 if test "$verbose" = "t"
 then
-- 
2.3.2 (Apple Git-55)

^ permalink raw reply related	[flat|nested] 2+ messages in thread

* Re: [PATCH] cli: change "setup" to "set up" where used as a verb
  2015-05-27 17:53 [PATCH] cli: change "setup" to "set up" where used as a verb J. Lewis Muir
@ 2015-05-31 17:17 ` David Bremner
  0 siblings, 0 replies; 2+ messages in thread
From: David Bremner @ 2015-05-31 17:17 UTC (permalink / raw)
  To: J. Lewis Muir, notmuch

"J. Lewis Muir" <jlmuir@imca-cat.org> writes:

> The word "setup" is a noun, not a verb.  Change occurrences of "setup"
> where used as a verb to "set up".
>
> ---

pushed

d

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2015-05-31 17:19 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2015-05-27 17:53 [PATCH] cli: change "setup" to "set up" where used as a verb J. Lewis Muir
2015-05-31 17:17 ` David Bremner

Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).